## biomaj3-download 3.0.14

=== requirements.txt ===
mock
nose
pycurl
py-bcrypt
pika
redis
PyYAML
protobuf
flask
python-consul
prometheus_client>=0.0.18
requests
biomaj_core>=3.0.10
biomaj_zipkin
flake8
humanfriendly

=== debian/changelog ===
biomaj3-download (3.0.14-1) unstable; urgency=medium

  * New upstream release
    d/control: switch to standards 4.1.3 

 -- Olivier Sallou <osallou@debian.org>  Sat, 10 Feb 2018 17:13:54 +0000

biomaj3-download (3.0.13-1) unstable; urgency=low

  * First packaging of biomaj-download (Closes: #872446).

 -- Olivier Sallou <osallou@debian.org>  Thu, 17 Aug 2017 09:59:28 +0000

=== debian/control ===
Source: biomaj3-download
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               protobuf-compiler,
               python3-all,
               python3-bcrypt,
               python3-consul,
               python3-flask,
               python3-humanfriendly,
               python3-mock,
               python3-nose,
               python3-pika,
               python3-prometheus-client,
               python3-protobuf,
               python3-pycurl,
               python3-pymongo,
               python3-redis,
               python3-requests,
               python3-setuptools,
               python3-yaml,
               python3-biomaj3-core,
               python3-biomaj3-zipkin
Standards-Version: 4.1.3
Homepage: https://github.com/genouest/biomaj-download
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/biomaj3-download.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/biomaj3-download.git

Package: python3-biomaj3-download
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}, python3-gunicorn, mongodb, redis-server
XB-Python-Egg-Name: biomaj-download
Description: BioMAJ download management library
 BioMAJ downloads remote data banks, checks their status and applies
 transformation workflows, with consistent state, to provide ready-to-use
 data for biologists and bioinformaticians. For example, it can transform
 original FASTA files into BLAST indexes. It is very flexible and its
 post-processing facilities can be extended very easily.
 .
 BioMAJ3 is a rewrite of BioMAJ v1.x, see online documentation for migration.
 .
 This package contains the library and microservice to manage downloads
 in BioMAJ3

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_OPTIONS=nocheck

export PYBUILD_NAME=biomaj-download
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	cd biomaj_download/message && protoc --python_out=. message.proto
	dh_auto_build

override_dh_install:
	dh_install
	sed -i '1s;^;#!/usr/bin/python3\n;' debian/python3-biomaj3-download/usr/bin/biomaj_download_consumer.py

## biomaj3-download 3.0.19

=== requirements.txt ===
mock
nose
pycurl
py-bcrypt
pika==0.11.2
redis
PyYAML
protobuf
flask
python-consul
prometheus_client>=0.0.18
requests
biomaj_core>=3.0.12
biomaj_zipkin
flake8
humanfriendly
python-irodsclient

=== debian/changelog ===
biomaj3-download (3.0.19-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Testsuite: autopkgtest-pkg-python
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Wed, 30 Jan 2019 10:40:31 +0100

biomaj3-download (3.0.18-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Olivier Sallou ]
  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Thu, 25 Oct 2018 08:52:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: biomaj3-download
-Section: python
-Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Olivier Sallou <osallou@debian.org>
-Build-Depends: debhelper (>= 9), dh-python,
+Section: python
+Testsuite: autopkgtest-pkg-python
+Priority: optional
+Build-Depends: debhelper (>= 12~),
+               dh-python,
                protobuf-compiler,
                python3-all,
                python3-bcrypt,
@@ -23,17 +25,20 @@
                python3-yaml,
                python3-biomaj3-core,
                python3-biomaj3-zipkin
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/biomaj3-download
+Vcs-Git: https://salsa.debian.org/med-team/biomaj3-download.git
 Homepage: https://github.com/genouest/biomaj-download
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/biomaj3-download.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/biomaj3-download.git
 
 Package: python3-biomaj3-download
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends}
 Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests}, python3-gunicorn, mongodb, redis-server
-XB-Python-Egg-Name: biomaj-download
+Suggests: ${python3:Suggests},
+          python3-gunicorn,
+          mongodb,
+          redis-server
 Description: BioMAJ download management library
  BioMAJ downloads remote data banks, checks their status and applies
  transformation workflows, with consistent state, to provide ready-to-use
@@ -45,3 +50,4 @@
  .
  This package contains the library and microservice to manage downloads
  in BioMAJ3
+XB-Python-Egg-Name: biomaj-download

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
-	cd biomaj_download/message && protoc --python_out=. message.proto
+	cd biomaj_download/message && protoc --python_out=. downmessage.proto
 	dh_auto_build
 
 override_dh_install:

## biomaj3-download 3.0.21

=== requirements.txt ===
mock
nose
pycurl
py-bcrypt
pika==0.13.0
redis
PyYAML
protobuf
flask
python-consul
prometheus_client>=0.0.18
requests
biomaj_core>=3.0.16
biomaj_zipkin
flake8
humanfriendly
python-irodsclient

=== debian/changelog ===
biomaj3-download (3.0.21-1) unstable; urgency=medium

  * New upstream release 
  * d/rules: use DEB_BUILD_MAINT_OPTIONS
  * d/patches: remove irods protocol support as python lib is not
    available in Debian.

 -- Olivier Sallou <osallou@debian.org>  Sat, 09 Mar 2019 09:48:16 +0000

## biomaj3-download 3.1.0

=== requirements.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 python-consul
 prometheus_client>=0.0.18
 requests
-biomaj_core>=3.0.16
+biomaj_core>=3.0.19
 biomaj_zipkin
 flake8
 humanfriendly

=== debian/changelog ===
biomaj3-download (3.1.0-1) unstable; urgency=medium

  [ Olivier Sallou ]
  * New upstream release  

 -- Olivier Sallou <osallou@debian.org>  Tue, 12 Nov 2019 10:18:15 +0000

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                python3-consul,
                python3-flask,
                python3-humanfriendly,
+               python3-irodsclient,
                python3-mock,
                python3-nose,
                python3-pika,
@@ -23,8 +24,10 @@
                python3-requests,
                python3-setuptools,
                python3-yaml,
-               python3-biomaj3-core,
-               python3-biomaj3-zipkin
+               python3-biomaj3-core (>= 3.0.19),
+               python3-biomaj3-zipkin,
+               python3-ftputil,
+               rsync
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/biomaj3-download
 Vcs-Git: https://salsa.debian.org/med-team/biomaj3-download.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #! /usr/bin/make -f
 
-export DEB_BUILD_OPTIONS=nocheck
+#export DEB_BUILD_OPTIONS=nocheck
+export DEB_BUILD_MAINT_OPTIONS=nocheck
 
 export PYBUILD_NAME=biomaj-download
 %:
@@ -13,3 +14,6 @@
 override_dh_install:
 	dh_install
 	sed -i '1s;^;#!/usr/bin/python3\n;' debian/python3-biomaj3-download/usr/bin/biomaj_download_consumer.py
+
+override_dh_auto_test:
+	nosetests3 -a !network

## biomaj3-download 3.2.4

=== requirements.txt ===
--- 
+++ 
@@ -15,3 +15,5 @@
 flake8
 humanfriendly
 python-irodsclient
+simpleeval
+tenacity

=== debian/changelog ===
biomaj3-download (3.2.4-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Remove empty debian/patches/series.
  * Move the autodep8 autopkgtest to an explicit one, as
    the module name (biomaj-downloand) doesn't match the package name
    (python3-biomaj3-download).

  [ Andreas Tille ]
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Build-Depends: python3-tenacity, python3-simpleeval
  * Bump versioned Depends from python3-biomaj3-core
  * Lintian override for script-with-language-extension

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jan 2021 11:28:54 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                protobuf-compiler,
                python3-all,
@@ -24,22 +24,23 @@
                python3-requests,
                python3-setuptools,
                python3-yaml,
-               python3-biomaj3-core (>= 3.0.19),
+               python3-biomaj3-core (>= 3.0.26),
                python3-biomaj3-zipkin,
                python3-ftputil,
+               python3-tenacity <!nocheck>,
+               python3-simpleeval <!nocheck>,
                rsync
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/biomaj3-download
 Vcs-Git: https://salsa.debian.org/med-team/biomaj3-download.git
 Homepage: https://github.com/genouest/biomaj-download
+Rules-Requires-Root: no
 
 Package: python3-biomaj3-download
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
-Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests},
-          python3-gunicorn,
+Suggests: python3-gunicorn,
           mongodb,
           redis-server
 Description: BioMAJ download management library
@@ -53,4 +54,3 @@
  .
  This package contains the library and microservice to manage downloads
  in BioMAJ3
-XB-Python-Egg-Name: biomaj-download

=== debian/watch ===
version=4
opts="repack,compression=xz,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/biomaj3-download-$1\.tar\.gz/" \
  https://github.com/genouest/biomaj-download/tags .*/v?(\d\S+)\.tar\.gz

## biomaj3-download 3.2.6

=== debian/changelog ===
biomaj3-download (3.2.6-1) unstable; urgency=medium

  * New upstream release, fixing tenacity breaking changes and minor fixes 
    (Closes: #1005457).

 -- Olivier Sallou <osallou@debian.org>  Mon, 14 Feb 2022 07:52:05 +0000

=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,6 @@
 	sed -i '1s;^;#!/usr/bin/python3\n;' debian/python3-biomaj3-download/usr/bin/biomaj_download_consumer.py
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	nosetests3 -a !network
+endif

## biomaj3-download 3.2.8

=== debian/changelog ===
biomaj3-download (3.2.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jul 2022 10:51:47 +0200

biomaj3-download (3.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Fix import name for autopkgtest
  * Fix lintian-overrides

 -- Andreas Tille <tille@debian.org>  Wed, 29 Jun 2022 17:12:31 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                python3-tenacity <!nocheck>,
                python3-simpleeval <!nocheck>,
                rsync
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/biomaj3-download
 Vcs-Git: https://salsa.debian.org/med-team/biomaj3-download.git
 Homepage: https://github.com/genouest/biomaj-download
@@ -41,7 +41,6 @@
 Depends: ${misc:Depends},
          ${python3:Depends}
 Suggests: python3-gunicorn,
-          mongodb,
           redis-server
 Description: BioMAJ download management library
  BioMAJ downloads remote data banks, checks their status and applies

## biomaj3-download 3.2.9

=== requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 mock
-nose
+pytest
 pycurl
 py-bcrypt
 pika==0.13.0

=== debian/changelog ===
biomaj3-download (3.2.9-1) unstable; urgency=medium

  *  New upstream release, replace nose by pytest (Closes: #1018319).

 -- Olivier Sallou <osallou@debian.org>  Mon, 29 Aug 2022 11:22:34 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-humanfriendly,
                python3-irodsclient,
                python3-mock,
-               python3-nose,
+               python3-pytest,
                python3-pika,
                python3-prometheus-client,
                python3-protobuf,

=== debian/rules ===
--- 
+++ 
@@ -17,5 +17,5 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	nosetests3 -a !network
+	LOCAL_IRODS=0 NETWORK=0 python3 -m pytest -v tests/biomaj_tests.py
 endif

## biomaj3-download 3.2.12

=== requirements.txt ===
pycurl
py-bcrypt
pika==0.13.0
redis
PyYAML
protobuf==3.20.3
flask
python-consul
prometheus_client>=0.0.18
requests
biomaj_core>=3.0.19
biomaj_zipkin
humanfriendly
python-irodsclient
simpleeval
tenacity
ftputil

=== debian/changelog ===
biomaj3-download (3.2.12-3) unstable; urgency=medium

  * Team upload.
  * d/rules: general readability improvement.
    This change drops little boilerplate, tries to shorten line lenght to
    digestible width and also ensures that the file which needs being
    preserved is restored _before_ the pass of dh_clean, otherwise there
    is no .bak file to restore from. (Closes: #1043846)
  * d/watch: convert to Github uscan template version 5.
  * d/control: drop redundant Priority: optional.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.3.

 -- Étienne Mollier <emollier@debian.org>  Fri, 27 Feb 2026 11:14:17 +0100

biomaj3-download (3.2.12-2) unstable; urgency=medium

  * Team upload.
  * Fix clean target
    Closes: #1043846
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 20 Dec 2024 21:53:22 +0100

biomaj3-download (3.2.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.2.12
  * Use dh-sequence-python3
  * Remove dependency on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Mon, 26 Aug 2024 20:51:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Uploaders: Olivier Sallou <osallou@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                protobuf-compiler,
                python3-all,
                python3-bcrypt,
@@ -13,7 +12,6 @@
                python3-flask,
                python3-humanfriendly,
                python3-irodsclient,
-               python3-mock,
                python3-pytest,
                python3-pika,
                python3-prometheus-client,
@@ -24,17 +22,16 @@
                python3-requests,
                python3-setuptools,
                python3-yaml,
-               python3-biomaj3-core (>= 3.0.26),
+               python3-biomaj3-core,
                python3-biomaj3-zipkin,
                python3-ftputil,
                python3-tenacity <!nocheck>,
                python3-simpleeval <!nocheck>,
                rsync
-Standards-Version: 4.6.1
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/biomaj3-download
 Vcs-Git: https://salsa.debian.org/med-team/biomaj3-download.git
 Homepage: https://github.com/genouest/biomaj-download
-Rules-Requires-Root: no
 
 Package: python3-biomaj3-download
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=biomaj-download
DTMP = $(CURDIR)/debian/python3-biomaj3-download
PRESERVED_FILE = $(CURDIR)/biomaj_download/message/downmessage_pb2.py

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_clean:
	rm -rf biomaj_download.egg-info
	if [ -f $(PRESERVED_FILE).bak ] \
	; then mv -v $(PRESERVED_FILE).bak $(PRESERVED_FILE) \
	; fi

execute_before_dh_auto_configure:
	cp -av $(PRESERVED_FILE) $(PRESERVED_FILE).bak

execute_before_dh_auto_build:
	cd biomaj_download/message \
	&& protoc --python_out=. downmessage.proto

execute_after_dh_install:
	sed -i '1s;^;#!/usr/bin/python3\n;' \
		$(DTMP)/usr/bin/biomaj_download_consumer.py

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	LOCAL_IRODS=0 NETWORK=0 python3 -m pytest -v tests/biomaj_tests.py
endif

=== debian/watch ===
Version: 5

Template: Github
Project: biomaj-download
Owner: genouest
Compression: xz
Repack: yes
